import { vAuthBtn } from './auth-btn/index'
import HcCharts from './echarts/echarts.vue'
import HcMenuIcon from './menu-icon/menu-icon.vue'
import HcSearchInput from './search-input/search-input.vue'

//注册全局组件
export const setupComponents = (App) => {
    //自定义指令
    App.directive('auth-btn', vAuthBtn)
    //自定义组件
    App.component('HcCharts', HcCharts)
    App.component('HcMenuIcon', HcMenuIcon)
    App.component('HcSearchInput', HcSearchInput)
}
